Bug 467595 - File System Corruption Writing on SD Memory Card (fat)
File System Corruption Writing on SD Memory Card (fat)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 22:39 EDT by Otto Rey
Modified: 2009-12-18 01:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:36:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hardware, Dmesg describing hardware that results in corrupt filesystem (2.16 KB, text/plain)
2009-02-23 02:37 EST, AWF
no flags Details

  None (edit)
Description Otto Rey 2008-10-18 22:39:46 EDT
Description of problem:
I write some files to SD Memory Cart (fat filesystem). When finish, all filesystem was corrputed... a lot of garbage

Version-Release number of selected component (if applicable):
gvfs-1.0.1-5.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Insert a SD Memory card in computer card readers
2. Write some files to it
3. Umount the file system
4. Mount again and see the garbage
  
Actual results:
I get a lot of garbage in filesystem

Expected results:
My beauty files

Additional info:
Tested on Toshiba Satelite with Athlon 64 X2
Comment 1 Tomáš Bžatek 2008-10-20 08:46:06 EDT
This has certainly nothing to do with gvfs, we don't do lowlevel access to the device. Could be a bug in SD card driver, reassinging to kernel (please triage).
Comment 2 James 2008-10-26 08:05:48 EDT
Are you using a sdhci-based card reader? I've seen occasional corruption with such a reader on my notebook. I've not played much with it much since I have a faster USB reader, but I think the problem was the driver forcing the reader into DMA mode when it only works properly in PIO.
Comment 3 Bug Zapper 2008-11-25 22:59:39 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 AWF 2009-02-23 02:37:54 EST
Created attachment 332902 [details]
Hardware, Dmesg describing hardware that results in corrupt filesystem
Comment 5 AWF 2009-02-23 02:39:35 EST
I have been able to corroborate this issue.

Using a generic 4GB Rockchip SD memory formatted fat32 either with XP or mkdosfs, Linux and dosfstools (dosfsck, mkdosfs) eventually destroy the file system. Exact same hardware under XP SP2 has no issues.
 
Hardware, dmesg info attached as awfl.txt

2.6.27.15-170.2.24.fc10.x86_64 #1 SMP, ASUS A8V MB, AMD3200

To reproduce, format drive either in XP or Linux X86_64. dosfsck will often immediately fail, first by showing two inconsistent fat tables. If not, copying many files will eventually destroy fs.
Comment 6 Bug Zapper 2009-11-18 02:56:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 AWF 2009-11-22 06:15:27 EST
FYI: This issue is still present in vanilla, clean install Fedora 12 x86_64.

Under Win XP SP2, Rockchip formats. File copies no problems. Filesystem checks clean.

Under Linux, disk mounts, files can be read without error.

Unmount disk. fsck reports two FATS different. fsck reports massive FAT table errors.

(noticed but unverified: from Linux, files seem to copy correctly and are usable, but the disk appears to be corrupted at unmount)
Comment 8 Bug Zapper 2009-12-18 01:36:01 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.